// Set the properties of the button
var buttonProperties = {
  disabled: false,
  title: 'Reddit Headlines',
  icon: 'images/icon_18.png',
  popup: {
    href: 'popup.html',
    width: 600,
    height: 400
  }
};

// Create the button and add it to the toolbar
var button = opera.contexts.toolbar.createItem(buttonProperties);
opera.contexts.toolbar.addItem(button);
    
function doXHR(url) {
  // Try to get the contents of the URL
  var response;
  var xhr = new XMLHttpRequest();
  xhr.open('GET', url, false);

  xhr.onreadystatechange = function() {
    if (this.readyState == 4) {
      // Error check for fetching the URL
      if (this.status == 200 && this.responseText) {
        response = this.responseText;
      } else {
        opera.postError('EXTENSION ERROR: Can\'t read ' + url);
        return false;
      }
    }
  };    

  xhr.send();    
  return response;
}
